import 'package:fis_jsonrpc/rpc.dart';
import 'package:vitalapp/managers/interfaces/base.dart';

/// 随访管理
abstract class IFollowUpManager implements IManager {
  /// 创建随访
  Future<String> createFollowUp(CreateFollowUpRequest createFollowUpRequest);

  Future<List<FollowUpDTO>?> getFollowUpPage(
      FollowUpPageRequest followUpPageRequest);

  ///根据patientCode获取随访记录
  Future<List<FollowUpRecordDTO>?> getFollowUpRecordList(
      List<String> keys, String patientCode);

  /// 根据年份获取数据
  Future<List<FollowUpRecordDTO>?> getFollowUpRecordListByYearAsync(
      GetFollowUpRecordListByYearRequest followUpRecordListByYearRequest);

  Future<bool?> updateFollowUp(UpdateFollowUpRequest followRequest);
}
